SimpleLongProperty (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class SimpleLongProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.LongExpression
    - - javafx.beans.property.ReadOnlyLongProperty
      - - javafx.beans.property.LongProperty
        - - javafx.beans.property.LongPropertyBase
          - - javafx.beans.property.SimpleLongProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableLongValue`, `WritableNumberValue`, `WritableValue<Number>`
  Direct Known Subclasses:
    `ReadOnlyLongWrapper`

      public class SimpleLongProperty
      extends LongPropertyBase

  This class provides a full implementation of a `Property` wrapping a `long` value.
  Since:
    JavaFX 2.0
  See Also:
    `LongPropertyBase`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleLongProperty()` | The constructor of `LongProperty`
    `SimpleLongProperty​(long initialValue)` | The constructor of `LongProperty`
    `SimpleLongProperty​(Object bean, String name)` | The constructor of `LongProperty`
    `SimpleLongProperty​(Object bean, String name, long initialValue)` | The constructor of `LongProperty`

  - ### Method Summary

    - ### Methods declared in class javafx.beans.property.LongPropertyBase

      `fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.LongProperty

      `asObject, longProperty`

    - ### Methods declared in class javafx.beans.property.ReadOnlyLongProperty

      `readOnlyLongProperty`

    - ### Methods declared in class javafx.beans.binding.LongExpression

      `longExpression, longExpression`

    - ### Methods declared in class javafx.beans.binding.NumberExpressionBase

      `numberExpression`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.binding.NumberExpression

      `add, add, add, add, add, asString, asString, asString, divide, divide, divide, divide, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableLongValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.beans.value.WritableLongValue

      `get, set, setValue`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleLongProperty

          public SimpleLongProperty()

      The constructor of `LongProperty`

    - #### SimpleLongProperty

          public SimpleLongProperty​(long initialValue)

      The constructor of `LongProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleLongProperty

          public SimpleLongProperty​(Object bean,
                                    String name)

      The constructor of `LongProperty`
      Parameters:
        `bean` - the bean of this `LongProperty`
        `name` - the name of this `LongProperty`

    - #### SimpleLongProperty

          public SimpleLongProperty​(Object bean,
                                    String name,
                                    long initialValue)

      The constructor of `LongProperty`
      Parameters:
        `bean` - the bean of this `LongProperty`
        `name` - the name of this `LongProperty`
        `initialValue` - the initial value of the wrapped value